import 'package:equatable/equatable.dart';
import 'package:firebase_auth/firebase_auth.dart';
import 'package:meta/meta.dart';

@immutable
abstract class AuthenticationEvent extends Equatable {
  AuthenticationEvent([List props = const []]) : super(props);
}

class LoggedIn extends AuthenticationEvent {
  final FirebaseUser user;

  LoggedIn([this.user]) : super();

  @override
  String toString() => 'LoggedIn';
}

class TokenChanged extends AuthenticationEvent {
  final FirebaseUser user;
  final String token;

  TokenChanged(this.user, this.token) : super();

  @override
  String toString() => 'LoggedIn';
}

class LoggedOut extends AuthenticationEvent {
  @override
  String toString() => 'LoggedOut';
}
