import 'package:equatable/equatable.dart';
import 'package:firebase_auth/firebase_auth.dart';
import 'package:meta/meta.dart';

@immutable
abstract class AuthenticationState extends Equatable {
  AuthenticationState([List props = const []]) : super(props);
}

class Authenticated extends AuthenticationState {
  final FirebaseUser user;
  final String token;

  Authenticated(this.user, this.token) : super([user]);

  @override
  String toString() => 'Authenticated { user: ${user.uid} }';
}

class Unauthenticated extends AuthenticationState {
  @override
  String toString() => 'Unauthenticated';
}
