import 'package:firebase_auth/firebase_auth.dart';
import 'package:firebase_auth_bloc/repository/authentication/provider.dart';

class AuthenticationRepository {
  static Future<bool> isSignedIn() => AuthenticationProvider.isSignedIn();

  static Future<FirebaseUser> getUser() => AuthenticationProvider.getUser();

  static Future<String> getToken() => AuthenticationProvider.getToken();

  static Future<void> signOut() => AuthenticationProvider.signOut();

  static Future<void> verifyPhoneNumber(number, PhoneVerificationCompleted completeCb, PhoneVerificationFailed failedCb,
          PhoneCodeSent codeSentCb, PhoneCodeAutoRetrievalTimeout codeTimeoutCb) async =>
      await AuthenticationProvider.verifyPhoneNumber(number, completeCb, failedCb, codeSentCb, codeTimeoutCb);

  static Future<String> signInWithPhoneNumber(String smsCode, String verificationId) =>
      AuthenticationProvider.signInWithPhoneNumber(smsCode, verificationId);

  static Future<FirebaseUser> signInWithGoogle() => AuthenticationProvider.signInWithGoogle();

  static Future<FirebaseUser> signInWithCredentials(email, password) =>
      AuthenticationProvider.signInWithCredentials(email, password);

  static Future<void> signUp({email, password}) => AuthenticationProvider.signUp(email: email, password: password);
}
